/**
 * Copyright © VNG Realisatie 2023
 * Licensed under the EUPL
 */

@use "../theme";

.loading-message {
    align-items: center;
    justify-content: center;
    display: flex;
    margin-bottom: 0;
    height: calc(100vh - 20rem);
    line-height: calc(100vh - 20rem);

    &__spinner {
        width: theme.$spacing06;
        height: theme.$spacing06;
        margin-right: theme.$spacing04;
        animation: rotate 0.75s linear infinite;
        fill: theme.$colorTextLink;
    }
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}
